<?php
date_default_timezone_set("Asia/Kolkata");

header('Content-Type: application/json charset=UTF-8');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With');
include "config.php";
$_POST = json_decode(file_get_contents("php://input"), true);


//for admin validation
$admin = $_POST['aid'];
$auth = $_POST['auth'];
$admin_name = $_POST['admin_name'];

$mandal_id = $_POST['mid'];//user mandal id 
$trans_type = $_POST['trans_type'];//transaction type
$bulk_amount = $_POST['bulk_amount'];//bulk amount
$loan_id = $_POST['loan_id'];//mandal user loan id
$emi_type = $_POST['emi_type'];//user loan type
$bulk_month = $_POST['bulk_month'];//bulk count(number of month)
$emi = $_POST['emi'];//EMI amount
$emi_interest = $_POST['emi_interest'];//EMI interest
$percent = $_POST['percent'];//EMI percentage
$payment_mode = $_POST['payment_mode'];
$today = date("Y-m-d");
$total = $_POST['total'];
$month = date("Y-m");
$emi = $bulk_amount / $bulk_month;//single month EMI calculation
$re_int = $_POST['r_int'];//return interest for Bulk EMI




//REINT for return interest when user pay Bulk EMI
$checkadmin = "SELECT `id` FROM `admin` WHERE `id`='$admin' AND `authcode`='$auth'";

$get_checkadmin = (mysqli_query($conn, $checkadmin));

if (mysqli_num_rows($get_checkadmin) == 1 && (!empty($mandal_id) && !empty($admin_name) && !empty($trans_type))) {
   if($emi_type == "NEW"){
       for($i = 0;$i < $bulk_month; $i++){
           $sql = "INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`,  `loan_id`, `emi_type`, `emi`, `emi_interest`, `emi_percent`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$loan_id','$emi_type','$emi','$emi_interest','$percent','$payment_mode','$total','$today')";
                    if ($conn->query($sql) === TRUE) {
                        // echo json_encode(["message" => "radha"]);
                    } else {
                        echo json_encode(["message" => "invalid"]);
                    }
       }
       
       
        $update = "UPDATE loan SET interest=interest-$re_int,remaining=remaining-$bulk_amount,remaining_month=remaining_month+$bulk_month WHERE id=$loan_id;
        INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`,  `loan_id`, `emi_type`, `emi`, `emi_interest`, `emi_percent`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$loan_id','REINT','$emi','$re_int','$percent','$payment_mode','$total','$today')";
        if ($conn->multi_query($update) === TRUE) {
                  echo json_encode(["message" => "radha"]);
        }else{
                 echo json_encode(["message" => "invalid"]);
        }
   }else if($emi_type == "OLD"){
       for($i = 0;$i < $bulk_month-1; $i++){
           $sql = "INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`,  `loan_id`, `emi_type`, `emi`,  `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$loan_id','$emi_type','$emi','$payment_mode','$emi','$today')";
                    if ($conn->query($sql) === TRUE) {
                        // echo json_encode(["message" => "radha"]);
                    } else {
                        echo json_encode(["message" => "invalid"]);
                    }
       }
       
       
        $update = "UPDATE loan SET remaining=remaining-$bulk_amount,remaining_month=remaining_month+$bulk_month WHERE id=$loan_id;
        INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`,  `loan_id`, `emi_type`, `emi`, `emi_interest`, `emi_percent`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$loan_id','$emi_type','$emi','$emi_interest','$percent','$payment_mode','$total','$today')";
        if ($conn->multi_query($update) === TRUE) {
                  echo json_encode(["message" => "radha"]);
        }else{
                 echo json_encode(["message" => "invalid"]);
        }
   }else{
           echo json_encode(["message" => "invalid"]);

   }
} else {
    echo json_encode(["message" => "invalid"]);
}
?>