<?php
header('Content-Type: application/json; charset=UTF-8');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With');

include "config.php";
date_default_timezone_set("Asia/Kolkata");

$_POST = json_decode(file_get_contents("php://input"), true);

$sql = "SELECT temp_doc.*, refUser.name AS pname, refUser.kyc AS kyc, withdraw.*,withdraw.id AS wid
FROM temp_doc
LEFT JOIN withdraw ON temp_doc.uid = withdraw.agentId
LEFT JOIN refUser ON withdraw.agentId = refUser.id
WHERE withdraw.status != 'REJECTED'";
$run = mysqli_query($conn, $sql);
$count = mysqli_num_rows($run);

$tdata = array(); // Initialize an empty array to store data

while ($row = mysqli_fetch_array($run)) {
    $data = array(
        "id" => $row['agentId'],
        "wid" => $row['wid'],
        "req" => $row['status'],
        "amount" => $row['amount'],
        "date" => $row['date'],
        "item_count" => $count,
        "bname" => $row['name'],
        "branch" => $row['branch'],
        "ifsc" => $row['ifsc'],
        "account" => $row['account'],
        "bimg" => $imgpath."/uploads/".$row['b_image'],
        "agent" => $row['pname']
    );

    $tdata[] = $data; // Add each row data to the $tdata array
}

$trans_msg = "radha";
// if($row){
echo json_encode(["message" => $trans_msg, "result" => $tdata]);
// }else{
//  echo json_encode(["message" => "invalid".$conn->error]);
   
// }
?>
