<?php
header('Content-Type: application/json; charset=UTF-8');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With');

include "config.php";
date_default_timezone_set("Asia/Kolkata");

$_POST = json_decode(file_get_contents("php://input"), true);
$mid = $_POST['id']; // mandal id

$sql = "SELECT temp_doc.*, refUser.name AS pname,refUser.kyc AS kyc
        FROM temp_doc
        LEFT JOIN refUser ON temp_doc.uid = refUser.id";

$run = mysqli_query($conn, $sql);
$count = mysqli_num_rows($run);

$tdata = array(); // Initialize an empty array to store data

while ($row = mysqli_fetch_array($run)) {
    $data = array(
        "id" => $row['id'],
        "uid" => $row['uid'],
        "pname" => $row['pname'],
        "aadhar" => $row['aadhar'],
        "status" => $row['kyc'],
        "name" => $row['name'],
        "branch" => $row['branch'],
        "account" => $row['account'],
        "ifsc" => $row['ifsc'],
        "a_image" => $imgpath."/uploads/".$row['a_image'],
        "b_image" => $imgpath."/uploads/".$row['b_image'],
    );

    $tdata[] = $data; // Add each row data to the $tdata array
}

$trans_msg = "radha";

echo json_encode(["message" => $trans_msg, "result" => $tdata]);

?>
