<?php
require("utils/MiddleWare.php");

date_default_timezone_set("Asia/Kolkata");


$sid = $req['sid'];//mandal id

$page = $req['page'];//page validation


$checkadmin = "SELECT `id` FROM `sakhi_user` WHERE `id`='$sid'";

$get_checkadmin = (mysqli_query($conn, $checkadmin));

if (mysqli_num_rows($get_checkadmin) > 0) {

    if ($page === "main") {
        $query = "SELECT (SELECT SUM(t.regular_installment) FROM sakhi_transaction t WHERE `sid`='$sid') AS total_regular,
                  (SELECT SUM(t.withdraw) FROM sakhi_transaction t WHERE `sid`='$sid') AS total_withdraw,
                  (SELECT SUM(l.remaining) FROM sakhi_loan l WHERE `sid`='$sid') AS total_loan";

        $result = mysqli_query($conn, $query);
        $row = mysqli_fetch_assoc($result);
        $total_regular = $row["total_regular"] - $row['total_withdraw'];
        $total_loan = $row["total_loan"];
        
        if($total_loan == null){
            $total_loan="0";
        }
        
        if($total_regular == null){
            $total_regular="0";
        }

        $data = array(
            "total_regular" => $total_regular . "",
            "loan" => $total_loan . "",
            "total" => $total_regular + $total_loan . "",
            "month" => ""
        );

        echo json_encode(["message" => "radha", "main_result" => $data]);

    } else if ($page === "transaction") {
        
        
        $tsql = "SELECT sakhi_transaction.*, sakhi_loan.loan_amount 
                FROM sakhi_transaction
                LEFT JOIN sakhi_loan 
                ON sakhi_transaction.loan_id = sakhi_loan.id
                WHERE sakhi_transaction.sid = '$sid'
                ORDER BY sakhi_transaction.date DESC, sakhi_transaction.id DESC;
                ";
        $tresult = mysqli_query($conn, $tsql);
        if ($tresult->num_rows > 0) {
            while ($trow = $tresult->fetch_assoc()) {
                $data = array(
                    "sid" => $trow['sid'],
                    "trans_type" => $trow['trans_type'],
                    "regular_installment" => $trow['regular_installment'],
                    "emi_type" => $trow['emi_type'],
                    "emi" => $trow['emi'],
                    "emi_interest" => $trow['emi_interest'],
                    "late_pay_charge" => $trow['late_pay_charge'],
                    "annual_charge" => $trow['annual_charge'],
                    "withdraw" => $trow['withdraw'],
                    "payment_mode" => $trow['payment_mode'],
                    "loan_amount" => $trow['loan_amount'],
                    "total" => $trow['total'],
                    "date" => $trow['date'],
                    "by" => $trow['a_name']
                );
                $tdata[] = $data;
                $trans_msg = "radha";
            }
        } else {
            $trans_msg = "notrans";
        }

        echo json_encode(["message" => $trans_msg, "trans_result" => $tdata]);


    } else if ($page === "loan") {

        $lsql = "SELECT * FROM sakhi_loan WHERE `sid`='$sid' ORDER BY date DESC, id DESC";
        
        $lresult = mysqli_query($conn, $lsql);
        if ($lresult->num_rows > 0) {
            while ($lrow = $lresult->fetch_assoc()) {
                $data = array(
                    "loan_id" => $lrow['id'],
                    "amount" => $lrow['loan_amount'],
                    "remaining" => $lrow['remaining'],
                    "emi" => $lrow['emi'],
                    "month" => $lrow['month'],
                    "remaining_month" => $lrow['remaining_month'],
                    "date" => $lrow['date'],
                    "by" => $lrow['a_name']
                );
                $ldata[] = $data;
                $loan_msg = "radha";
            }
        } else {
            $loan_msg = "noloan";
        }
        echo json_encode(["message" => $loan_msg, "loan_result" => $ldata]);

    } else {
    echo json_encode(["message" => "invalid123"]);
}
    
    // echo json_encode(["message" => $loan_msg, "main_result" => $data, "trans_result" => $tdata, "loan_result" => $ldata]);



} else {
    echo json_encode(["message" => "invalid"]);
}
?>