<?php
// require("utils/MiddleWare.php");
include "utils/ResponseWare.php";
include "utils/DecryptWare.php";
include "database/db.php";
include "utils/AuthWare.php"; 

date_default_timezone_set("Asia/Kolkata");

$id = $req['pid'];
$src = $req['source'];
$uid = $req['uid'];
$price = $req['price'];

$data = array(); 
$limit = 5; // Fixed limit to fetch 5 items per page
$page = isset($req['page']) ? intval($req['page']) : 1; // Assuming page number is provided in the request, default to 1
$offset = ($page - 1) * $limit; // Calculate offset

if ($src == "category") {
    $query = "SELECT * FROM `products` WHERE `category`='$id' AND `active`= 0 LIMIT $limit OFFSET $offset";
} else if ($src == "collection") {
    $query = "SELECT * FROM products INNER JOIN collectioncon ON products.id = collectioncon.proid WHERE collectioncon.collid = '$id' AND `active`= 0 LIMIT $limit OFFSET $offset";
} else if ($src == "occassion") {
    $query = "SELECT * FROM products INNER JOIN occassioncon ON products.id = occassioncon.proid WHERE occassioncon.occid = '$id' AND `active`= 0 LIMIT $limit OFFSET $offset";
} else if ($id) {
    $query = "SELECT * FROM `products` WHERE `id`='$id' AND `active`= 0 LIMIT $limit OFFSET $offset";
} else if ($src == "price") {
    $query = "SELECT * FROM `products` WHERE `price`<'$price' AND `active`= 0 LIMIT $limit OFFSET $offset";
}else if($src == "Male" || $src == "Female"){
        $query = "SELECT * FROM `products` WHERE (`gender`='$src' OR `gender`='Unisex') AND `active`= 0 LIMIT $limit OFFSET $offset";
}else if($src == "silver" ){
        $query = "SELECT * FROM `products` WHERE `type`='4' OR `type`='9' AND `active`= 0 LIMIT $limit OFFSET $offset";
}else if($src == "gold" ){
        $query = "SELECT * FROM `products` WHERE `type`!='4' AND `type`!='9' AND `active`= 0 LIMIT $limit OFFSET $offset";
}else if($src == "rakhi" ){
        $query = "SELECT * FROM `products` WHERE `active`= 0 ";
} else {
    $query = "SELECT * FROM `products` WHERE `active`= 0 LIMIT 10 OFFSET $offset";
}


$result = mysqli_multi_query($conn, $query);

if ($result) {
    do {
        if ($resultSet = mysqli_store_result($conn)) {
            while ($row = mysqli_fetch_assoc($resultSet)) {
                
                        $net = $row['net'];
        $gross = $row['gross'];
        $dgm = $row['d_gm'];
        $dkarat = $row['d_karat'];
        $material = $row['type'];
        $mQuery = "SELECT * FROM material WHERE id='$material'";
        $mResult = mysqli_query($conn, $mQuery);
        $mrow = mysqli_fetch_array($mResult);
        $mname = $mrow['name'];
        $mprice = $mrow['price'];
        
          $dQuery = "SELECT * FROM material WHERE id='5'";
        $dResult = mysqli_query($conn, $dQuery);
        $drow = mysqli_fetch_array($dResult);
        $dprice = $drow['price'];
        $dname = $drow['name'];
        $dtotal = $dprice * $dkarat;

        if($net > 0.000 && $net <0.500){
           $making = $net*1400; 
        }else if($net > 0.510 && $net < 0.800){
           $making = $net*1650;
        }else if($net > 0.810 && $net < 1.000){
           $making = $net*2050 ;
        }else if($net > 1.010 && $net < 1.400){
           $making = $net*2350 ;
        }else if($net > 1.410 && $net < 1.900){
           $making = $net*2600 ;
        }else if($net > 1.910 && $net < 2.200){
           $making = $net*2850 ;
        }else {
           $making = $net*1500;
        }
        $mm = $making/2;
        $ggg = $net*$mprice+$mm+$dtotal;
        $gst = $ggg*0.03;
        
        $p = $row['price'];
        
        if($p == 0){
            $price = $net*$mprice+$mm+$gst+$dtotal;
            $discount = $net*$mprice+$making+$gst+$dtotal;
        }else{
             $pg = $row['price']*0.03;
            $price = $row['price']+$pg;
            $dg = $row['dis_price']*0.03;
            $discount = $row['dis_price']+$dg;
        }
        
        
                 $productId = $row['id'];
                if(!empty($uid)){
        
                $cartCheckQuery = "SELECT * FROM cart WHERE pid='$productId' AND uid='$uid'";
                $cartCheckResult = mysqli_query($conn, $cartCheckQuery);

                if ($cartCheckResult && mysqli_num_rows($cartCheckResult) > 0) {
                    // Product is in the cart
                    $row['in_cart'] = true;
                } else {
                    // Product is not in the cart
                    $row['in_cart'] = false;
                }
                
                $wishlistCheckQuery = "SELECT * FROM wishlist WHERE pid='$productId' AND uid='$uid'";
                $wishlistCheckResult = mysqli_query($conn, $wishlistCheckQuery);

                if ($wishlistCheckResult && mysqli_num_rows($wishlistCheckResult) > 0) {
                    // Product is in the cart
                    $row['in_wishlist'] = true;
                } else {
                    // Product is not in the cart
                    $row['in_wishlist'] = false;
                }
                
        }else{
                                $row['in_wishlist'] = false;
                    $row['in_cart'] = false;

        }
                
                $data[] = array(
                    "id" => $row['id'],
                    "img" => $imgpath."/Products/" . $row['img'],
                    "price" => round($price),
                    "name" => $row['name'],
                    "src" => $src,
                    "discount" => round($discount),
                    "category" => $row['category'],
                    "desc" => $row['description'],
                    "total" => $row['price'] ,
                    "img1" => $imgpath."/Products/" . $row['img1'],
                    "img2" => $imgpath."/Products/" . $row['img2'],
                    "material" => $row['material'],
                    "cart" => $row['in_cart'],
                    "gender" => $row['gender'],
                    "wishlist" => $row['in_wishlist'],
                    "type" => $material
                );
            }
            mysqli_free_result($resultSet);
        }
    } while (mysqli_more_results($conn) && mysqli_next_result($conn));
} else {
    echo json_encode(["message" => "Error: " . mysqli_error($conn)]);
}

if (count($data) > 0) {
    echo json_encode(["message" => "radha", "result" => $data]);
} else {
    echo json_encode(["message" => "No results found for the specified page"]);
}
?>
