<?php
require ("utils/MiddleWare.php");

// For validation
$admin = $req['aid']; // admin id
$auth = $req['auth']; // authentication code
$a_name = $req['a_name']; // admin name
$sid = $req['sid']; // mandal id
$req_amount = $req['interest']; // loan interest
$loan_amount = $req['loan_amount']; // loan amount
$remaining = $req['remaining']; // remaining loan installment amount
$emi = $req['emi']; // loan installment amount
$month = $req['month']; // installment month
$remaining_month = $req['remaining_month']; // remaining loan installment month
$today = date("Y-m-d");
$inte = $req['interest'];
$first_emi = $req['emi']; // for NEW loan interest
$ltype = $req['loan_type'];
$s1 = $req['s1'];
$s2 = $req['s2'];

// EMI for loan mention
// FIRST for interest of loan
// SELF for first loan installment
// NEW for new loan type

$checkadmin = "SELECT `id` FROM `admin` WHERE `id`='$admin' AND `web_auth`='$auth'";

$get_checkadmin = mysqli_query($conn, $checkadmin);

if (mysqli_num_rows($get_checkadmin) == 1) {
    $sql = "
        INSERT INTO `sakhi_loan`(`loan_type`, `sid`, `aid`, `a_name`, `interest`, `s1`, `s2`, `loan_amount`, `remaining`, `emi`, `month`, `remaining_month`, `date`)
        VALUES ('$ltype', '$sid', '$admin', '$a_name', '$inte', '$s1', '$s2', '$loan_amount', '$loan_amount', '$emi', '$month', '0', '$today');
        SET @last_id = LAST_INSERT_ID();
        INSERT INTO `transaction`(`sid`, `aid`, `a_name`, `trans_type`, `loan_id`, `emi_type`, `emi_interest`, `payment_mode`, `total`, `date`)
        VALUES ('$sid', '$admin', '$a_name', 'EMI', @last_id, 'FIRST', '$inte', 'Self', '$inte', '$today');
    ";

    if ($conn->multi_query($sql)) {
        // Move to the next result
        while ($conn->more_results() && $conn->next_result());

        // Update `sakhi_user` tables with the last inserted ID
        $sql1 = "UPDATE `sakhi_user` SET `lid`=LAST_INSERT_ID() WHERE `id`='$s1'";
        $sql2 = "UPDATE `sakhi_user` SET `lid`=LAST_INSERT_ID() WHERE `id`='$s2'";

        if ($conn->query($sql1) === TRUE && $conn->query($sql2) === TRUE) {
            $details = "SELECT * FROM `sakhi_user` WHERE `id`='$sid'";
            $row = mysqli_query($conn, $details);
            $run = mysqli_fetch_array($row);
            $id = $run['useId'];

            $det = "SELECT * FROM `users` WHERE `id` = '$id'";
            $rowdet = mysqli_query($conn, $det);
            $rundet = mysqli_fetch_array($rowdet);
            $token = $rundet['fireToken'];

            $title = "Manglik Gold";
            $str_guj1 = "Your loan of amount";
            $str_guj2 = "and EMI months are";
            $str_guj3 = "with interest value";
            $message = $str_guj1 . " ₹" . $loan_amount . " " . $str_guj2 . " " . $month . " " . $str_guj3 . " " . $inte;

            push_notification_android($token, $title, $message);

            echo json_encode(["message" => "radha"]);
        } else {
            echo json_encode(["message" => "Error updating records: " . $conn->error]);
        }
    } else {
        echo json_encode(["message" => "Error inserting records: " . $conn->error]);
    }
} else {
    echo json_encode(["message" => "Invalid authentication"]);
}

function push_notification_android($device_id, $title, $message)
{
    // API URL of FCM
    $url = 'https://fcm.googleapis.com/fcm/send';

    // API key from Firebase Console
    $api_key = 'AAAA-9gNDPk:APA91bGgKHIhC1VU8wWO3y07nBggl9Y4LaTVbFu3qJyHnPCfThL6_6z0PT0nM3znws1hbptscVCZCuQ3jSpKtfCfnNUpWHW1kRehxu76OiWPQ7oVA-SFKZPj_KXrjqpUhTBV7Pz9NgZ4'; // Replace with yours

    $fields = [
        'priority' => 'high',
        'notification' => [
            'title' => $title,
            'body' => $message,
            'sound' => 'default',
            'data' => ['message' => $message]
        ]
    ];

    if (is_array($device_id)) {
        $fields['registration_ids'] = $device_id;
    } else {
        $fields['to'] = $device_id;
    }

    // Headers include Content type and API key
    $headers = [
        'Content-Type: application/json',
        'Authorization: key=' . $api_key
    ];

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fields));

    $result = curl_exec($ch);

    if ($result === FALSE) {
        die('FCM Send Error: ' . curl_error($ch));
    }

    curl_close($ch);

    return $result;
}
?>
