<?php require("utils/MiddleWare.php");

// For admin validation
$admin = $req['aid'];
$auth = $req['auth'];
$page = $req['data']; // Assuming $page is an array of id values

if (empty($page)) {
    echo json_encode(["message" => "No IDs provided"]);
    exit; // Exit the script if no IDs are provided
}

// Convert the array of id values to a comma-separated string
$idList = implode(',', array_map('intval', $page));

$checkadmin = "SELECT `id` FROM `admin` WHERE `id`='$admin' AND `web_auth`='$auth'";
$get_checkadmin = mysqli_query($conn, $checkadmin);

if (mysqli_num_rows($get_checkadmin) == 1) {
    $query = "SELECT * FROM `dhan_user` WHERE `id` IN ($idList)";
    
    // Execute the query and fetch data as needed
    $result = mysqli_query($conn, $query);
    
    if ($result) {
        $data = []; // Initialize an array to store the results
        $total = 0; // Initialize the total sum
        
        while ($row = mysqli_fetch_assoc($result)) {
            $type = $row['type'];
            $totalForRecord = $type * 1000; // Calculate total for the current record
            $total += $totalForRecord; // Add it to the running total
            
            $data[] = array(
                "name" => $row['name'],
                "id" => $row['id'],
                "type" => $type*1000,
                "totalForRecord" => $totalForRecord, // Include the total for the current record
            );
        }
        
        if (!empty($data)) {
            echo json_encode(["message" => "radha","result"=> $data, "total" => $total]);
        } else {
            echo json_encode(["message" => "No records found"]);
        }
    } else {
        echo json_encode(["message" => "Formate"]);
    }
} else {
    echo json_encode(["message" => "Authentication failed"]);
}

?>
