<?php
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Include your database connection code here

    // Get user ID and notification message from the request
    $userId = $_POST['user_id'];
    $notificationMessage = $_POST['message'];

    // Query the database to get the device token for the specified user
    $query = "SELECT device_token FROM users WHERE user_id = '$userId'";
    $result = mysqli_query($conn, $query);

    if ($result) {
        $row = mysqli_fetch_assoc($result);
        $deviceToken = $row['device_token'];

        // Close the database connection
        mysqli_close($conn);

        // Send the FCM message using the obtained device token
        sendFCMNotification($deviceToken, $notificationMessage);
    } else {
        // Handle database query error
        echo "Error: " . mysqli_error($conn);
    }
} else {
    // Handle invalid request method
    echo "Invalid request method";
}

function sendFCMNotification($deviceToken, $message) {
    // Your FCM server key
    $serverKey = "YOUR_FCM_SERVER_KEY";

    // FCM endpoint
    $url = 'https://fcm.googleapis.com/fcm/send';

    // Build the notification payload
    $data = [
        'to' => $deviceToken,
        'data' => [
            'custom_message' => $message,
        ],
    ];

    $options = [
        'http' => [
            'header' => "Content-Type: application/json\r\n" .
                "Authorization: key=$serverKey\r\n",
            'method' => 'POST',
            'content' => json_encode($data),
        ],
    ];

    // Create a stream context
    $context = stream_context_create($options);

    // Send the FCM request
    $result = file_get_contents($url, false, $context);

    // Handle the result (you may log it or return it to the client)
    echo $result;
}
?>
