<?php
require("utils/MiddleWare.php");

// For admin validation
$admin = $req['aid'];
$auth = $req['auth'];
$page = $req['data']; // Assuming $page is an array of id values

if (empty($page)) {
    echo json_encode(["message" => "No IDs provided"]);
    exit; // Exit the script if no IDs are provided
}

// Convert the array of id values to a comma-separated string
$idList = implode(',', array_map('intval', $page));

$checkadmin = "SELECT `id` FROM `admin` WHERE `id`='$admin' AND `web_auth`='$auth'";
$get_checkadmin = mysqli_query($conn, $checkadmin);

if (mysqli_num_rows($get_checkadmin) == 1) {
    $query = "SELECT * FROM `sakhi_user` WHERE `id` IN ($idList)";
    
    // Execute the query and fetch data as needed
    $result = mysqli_query($conn, $query);
    
    if ($result) {
        $data = []; // Initialize an array to store the results
        while ($row = mysqli_fetch_assoc($result)) {
            $data[] = array(
                "name" => $row['name'],
                "id" => $row['id'],
                "members" => $row['phone'],
            );
        }
        
        if (!empty($data)) {
            $totalCount = count($data); // Calculate the total count of elements
            $totalCount *= 200; // Multiply by 1000
            echo json_encode(["message" => "radha","result"=> $data, "total" => $totalCount]);
        } else {
            echo json_encode(["message" => "No records found"]);
        }
    } else {
        echo json_encode(["data"=>$idList,"message" => "Formate"]);
    }
} else {
    echo json_encode(["message" => $req]);
}
?>
