<?php
require("utils/MiddleWare.php");

date_default_timezone_set("Asia/Kolkata");


//admin validation
$admin = $req["aid"];
$auth = $req["auth"];
$admin_name = $req["admin_name"];

$mandal_id = $req["mid"]; //user mandal id
$trans_type = $req["trans_type"]; //transaction type
$regular_installment = $req["regular_installment"]; //installment amount
$loan_id = $req["loan_id"]; //user loan id
$emi_type = $req["emi_type"]; //EMI type
$amount = $req["amount"]; //Installment amount
$emi = $req["emi"]; //EMI amount
$emi_interest = $req["emi_interest"]; //Loan interest
$percent = $req["percent"]; //Interest percentage
$late_pay_charge = $req["late_pay_charge"]; //latepayment charge
$annual_charge = $req["annual_charge"]; //annual charge from user
$payment_mode = $req["payment_mode"]; //payment mode
$today = date("Y-m-d");
$total = $req["total"]; //total
$month = date("Y-m"); //month for EMI count
// print_r($req);
//new variables
$interest = $req["interest"]; //loan interest
$valid = date("d", strtotime($today)); //date for check late pay charge
$late_pay_charge = "0";

//if installment date > 10 apply late pay charge
if ($valid > 10) {
    $late_pay_charge = "100";
    $loan_late_pay_charge = "300";
}


//LATE for late pay charge
//Self for First loan EMI
$checkadmin = "SELECT * FROM `admin` WHERE `id`='$admin' AND `authcode`='$auth'";

$get_checkadmin = mysqli_query($conn, $checkadmin);

if (
    mysqli_num_rows($get_checkadmin) == 1 &&
    (!empty($mandal_id) && !empty($admin_name) && !empty($trans_type))
) {
    if ($emi_type == "NEW" || $emi_type == "OLD") {

          if ($emi_type == "NEW"){
            if ($valid > 10) {
            $master_total = $regular_installment - $late_pay_charge;
            $sql = "
                UPDATE loan SET remaining = remaining - $emi, remaining_month = remaining_month + '1' WHERE id = '$loan_id';
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `loan_id`, `emi_type`, `emi`, `emi_interest`, `emi_percent`,`annual_charge`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$loan_id','$emi_type','$emi','$emi_interest','$percent','$annual_charge','$payment_mode','$total','$today');
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `late_pay_charge`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','LATELOAN','$loan_late_pay_charge','Self','$loan_late_pay_charge','$today');
                ";
        } else {
          
        $sql = "
                UPDATE loan SET remaining = remaining - $emi, remaining_month = remaining_month + '1' WHERE id = '$loan_id';
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `loan_id`, `emi_type`, `emi`, `emi_interest`, `emi_percent`,`annual_charge`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$loan_id','$emi_type','$emi','$emi_interest','$percent','$annual_charge','$payment_mode','$total','$today');
                ";
        }
        }
         else if ($emi_type == "OLD"){
            if ($valid > 10) {
            $master_total = $regular_installment - $late_pay_charge;
            $sql = "
                UPDATE loan SET remaining = remaining - $emi, remaining_month = remaining_month + '1', interest = interest + $emi_interest WHERE id = '$loan_id';
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `loan_id`, `emi_type`, `emi`, `emi_interest`, `emi_percent`,`annual_charge`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$loan_id','$emi_type','$emi','$emi_interest','$percent','$annual_charge','$payment_mode','$total','$today');
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `late_pay_charge`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','LATELOAN','$loan_late_pay_charge','Self','$loan_late_pay_charge','$today');
                ";
        } else {
          
        $sql = "
                UPDATE loan SET remaining = remaining - $emi, remaining_month = remaining_month + '1', interest = interest + $emi_interest WHERE id = '$loan_id';
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `loan_id`, `emi_type`, `emi`, `emi_interest`, `emi_percent`,`annual_charge`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$loan_id','$emi_type','$emi','$emi_interest','$percent','$annual_charge','$payment_mode','$total','$today');
                ";
        }
        }
          
        
        
        
        
            $title = "Manglik Gold";
            $str_guj1 = "Your loan installment of";
            $str_guj2 = "is paid.";
            $message = $str_guj1 . " ₹" . $total . " " . $str_guj2;

        


    } elseif ($trans_type == "WITHDRAW") {
        $sql = "INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`,`withdraw`, `payment_mode`,`date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$amount','$payment_mode','$today')";
        $title = "Manglik Gold";
        $str_guj1 = "Your withdraw";
        $str_guj2 = "from your current account.";
        $message = $str_guj1 . " ₹" . $amount . " " . $str_guj2;

    } elseif ($trans_type == "INTEREST" && $emi_type == "ADD") {
        $sql = "UPDATE loan SET interest = interest + $interest WHERE id = '$loan_id';
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `loan_id`, `emi_type`,`emi_interest`,`payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$loan_id','$emi_type','$interest','$payment_mode','$total','$today');
                ";
        $title = "Manglik Gold";
        $str_guj1 = "તમે";
        $str_guj2 = "જમા કરાવ્યા છે.";
        $message = $str_guj1 . " ₹" . $total_trans . " " . $str_guj2;

    } elseif ($trans_type == "INTEREST" && $emi_type == "REMOVE") {
        $sql = "UPDATE loan SET interest = interest - $interest WHERE id = '$loan_id';
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `loan_id`, `emi_type`, `emi_interest`,`payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$loan_id','$emi_type','$interest','$payment_mode','$total','$today');
                ";
        $title = "Manglik Gold";
        $str_guj1 = "તમે";
        $str_guj2 = "જમા કરાવ્યા છે.";
        $message = $str_guj1 . " ₹" . $total_trans . " " . $str_guj2;

    } elseif ($trans_type == "YB") {
        $sql = "INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`,`regular_installment`,`total`, `payment_mode`,`date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$regular_installment','$payment_mode','$today')";

        $title = "Manglik Gold";
        $str_guj1 = "Your yearly bonus of";
        $str_guj2 = "is paid.";
        $message = $str_guj1 . " ₹" . $regular_installment . " " . $str_guj2;

    } elseif ($trans_type == "REGULAR") {
        if ($valid > 10) {
            $master_total = $regular_installment - $late_pay_charge;
            $sql = "
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$master_total','$payment_mode','$master_total','$today');
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `late_pay_charge`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','LATE','$late_pay_charge','Self','$late_pay_charge','$today');
                UPDATE mandal_user SET last_trans = '$month' WHERE id = '$mandal_id';";

            $title = "Manglik Gold";
            $str_guj1 = "Your installment of";
            $str_guj2 = "is paid.";
            $message = $str_guj1 . " ₹" . $master_total . " " . $str_guj2;

        } else {
            $sql = "
                INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$payment_mode','$total','$today');
                UPDATE mandal_user SET last_trans = '$month' WHERE id = '$mandal_id';";

            $title = "Manglik Gold";
            $str_guj1 = "Your installment of";
            $str_guj2 = "is paid.";
            $message = $str_guj1 . " ₹" . $total . " " . $str_guj2;
        }
    } else {
        $sql = "INSERT INTO `transaction`(`mid`, `aid`, `a_name`, `trans_type`, `regular_installment`, `loan_id`, `emi_type`, `emi`, `emi_interest`, `emi_percent`,`annual_charge`, `payment_mode`, `total`, `date`) 
                VALUES ('$mandal_id','$admin','$admin_name','$trans_type','$regular_installment','$loan_id','$emi_type','$emi','$emi_interest','$percent','$annual_charge','$payment_mode','$total','$today');
                UPDATE mandal_user SET last_trans = '$month' WHERE id = '$mandal_id';";

        $title = "Manglik Gold";
        $str_guj1 = "Your installment of";
        $str_guj2 = "is paid.";
        $message = $str_guj1 . " ₹" . $total . " " . $str_guj2;
    }

    if ($conn->multi_query($sql) === true) {

        $details = "SELECT * FROM `mandal_user` WHERE `id`='$mandal_id'";
        $row = mysqli_query($conn, $details);
        $run = mysqli_fetch_array($row);
        $id = $run['phone'];

        $det = "SELECT * FROM `users` WHERE `phone` = '$id'";
        $rowdet = mysqli_query($conn, $det);
        $rundet = mysqli_fetch_array($rowdet);
        $token = $rundet['fireToken'];

        push_notification_android($token, $title, $message);
        echo json_encode(["message" => "radha"]);
    } else {
        echo json_encode(["message" => "invalid"]);
    }
} else {
    echo json_encode(["message" => "invalid"]);
}



function push_notification_android($device_id, $title, $message)
{
    //API URL of FCM
    $url = 'https://fcm.googleapis.com/fcm/send';

    /*api_key available in:
    Firebase Console -> Project Settings -> CLOUD MESSAGING -> Server key*/
    $api_key = 'AAAA-9gNDPk:APA91bGgKHIhC1VU8wWO3y07nBggl9Y4LaTVbFu3qJyHnPCfThL6_6z0PT0nM3znws1hbptscVCZCuQ3jSpKtfCfnNUpWHW1kRehxu76OiWPQ7oVA-SFKZPj_KXrjqpUhTBV7Pz9NgZ4'; //Replace with yours

    $target = $device_id;

    $fields = array();
    $fields['priority'] = "high";
    $fields['notification'] = [
        "title" => $title,
        "body" => $message,
        'data' => ['message' => $message],
        "sound" => "default"
    ];
    if (is_array($target)) {
        $fields['registration_ids'] = $target;
    } else {
        $fields['to'] = $target;
    }

    //header includes Content type and api key
    $headers = array(
        'Content-Type:application/json',
        'Authorization:key=' . $api_key
    );

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fields));
    $result = curl_exec($ch);
    if ($result === FALSE) {
        die('FCM Send Error: ' . curl_error($ch));
    }
    curl_close($ch);
    return $result;
}

?>