<?php

header('Content-Type: application/json; charset=UTF-8');
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With');

include "config.php"; // Assuming this file contains your database connection details
date_default_timezone_set("Asia/Kolkata");

$name = isset($_POST['proname']) ? $_POST['proname'] : '';
$id = isset($_POST['id']) ? $_POST['id'] : '';
$price = isset($_POST['price']) ? $_POST['price'] : '';

function generateUniqueFilename($filename) {
    $extension = pathinfo($filename, PATHINFO_EXTENSION);
    $basename = pathinfo($filename, PATHINFO_FILENAME);
    $unique_filename = "occassion" . '_' . uniqid() . '.' . $extension;
    return $unique_filename;
}

$unique_filename = '';

if(isset($_FILES["image"]["name"]) && !empty($_FILES["image"]["name"])) {
    $target_dir = "../../ImagesWeb/Category/";
    $unique_filename = generateUniqueFilename($_FILES["image"]["name"]);
    $target_file = $target_dir . basename($unique_filename);
    $img = basename($_FILES["image"]["name"]);

    if(move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
        // File uploaded successfully
    } else {
        // Error uploading file
        $unique_filename = '';
    }
}

if(empty($id)){
    $sql = "INSERT INTO `occassion`(`name`, `img`) VALUES ('$name','$unique_filename')";
} else {
    if(empty($unique_filename)){
        $sql = "UPDATE `occassion` SET `name`='$name' WHERE `id`='$id'";
    } else {
        $sql = "UPDATE `occassion` SET `name`='$name', `img`='$unique_filename' WHERE `id`='$id'";
    }
}

$run = mysqli_query($conn, $sql);

if($run) {
    echo json_encode(["message" => "radha"]);
} else {
    echo json_encode(["message" => "Error inserting/updating data: " . mysqli_error($conn)]);
}

?>
