<?php
require("utils/MiddleWare.php");

date_default_timezone_set("Asia/Kolkata");

// Sanitize the input
$id = $req['id'];
$date = date('Y-m-d');
$total = 0;
$today = 0;
// Initialize arrays to store data
$m_data = array();
$d_data = array();
$r_data = array();

// Query to fetch data from withdraw and checkout tables
$userquery = "SELECT ao.*, co.*, ao.status AS st,ao.date AS dates
              FROM withdraw AS ao
              JOIN checkout AS co ON ao.agentId = co.agent_id
              WHERE ao.agentId = '$id' AND ao.status = 'APPROVED'";
$run_userquery = mysqli_query($conn, $userquery);

if (mysqli_num_rows($run_userquery) > 0) {
    while ($row = mysqli_fetch_array($run_userquery)) {
        $a1 = array(
            "id" => $row['id'],
            "status" => $row['st'],
            "oid" => $row['dates'],
            "phone" => $row['phone'],
            "price" => $row['amount'],
        );
        $total += $row['amount']; 
        $m_data[] = $a1;
    }
    $m_message = "radha";
} else {
    $m_message = "invalid";
}

// Query to fetch data from checkout table
$dhan = "SELECT * FROM `checkout` WHERE `agent_id`='$id' AND `status`='delivered'";
$dhan_row = mysqli_query($conn, $dhan);
if (mysqli_num_rows($dhan_row) > 0) {
    while ($row = mysqli_fetch_array($dhan_row)) {
        $a1 = array(
            "id" => $row['id'],
            "name" => $row['name'],
            "phone" => $row['price'],
        );
        $today += $row['coupon']; // Assuming 'price' holds the price
        $d_data[] = $a1;
    }
    $d_message = "radha";
} else {
    $d_message = "invalid";
}

// Query to fetch data from withdraw table
$dhan1 = "SELECT * FROM `withdraw` WHERE `status`='APPROVED' AND `agentId`='$id'";
$dhan_row1 = mysqli_query($conn, $dhan1);

if (mysqli_num_rows($dhan_row1) > 0) {
    $a_message = "radha";
} else {
    $a_message = "invalid";
}

$dhan11 = "SELECT `kyc` FROM `refUser` WHERE `id`='$id'";
$dhan_row11 = mysqli_query($conn, $dhan11);

if (mysqli_num_rows($dhan_row11) > 0) {
 while ($row12 = mysqli_fetch_array($dhan_row11)) {
        $a11 = array(
            "id" => $row12['kyc'],
           
        );
        $r_data[] = $a11;
    }
} else {
    $a_message = "invalid";
}

// Encode data as JSON and echo response
echo json_encode([
    "mandal_message" => $m_message,
    "m_result" => $m_data,
    "dhan_message" => $d_message,
    "d_result" => $d_data,
    "agent_message" => $a_message,
    "a_result" => $r_data,
    "today" => $today - $total,
    "total" => $total // Add total to the JSON response
]);
?>
