<?php

require("utils/MiddleWare.php");
// error_reporting(E_ALL);
// ini_set('display_errors', 1);

// For admin validation
$page = $req['data'];
$today = $req["date"];
$admin = $req["aid"];
$auth = $req["auth"];
$admin_name = $req["admin_name"];
$p_mode = $req["payment_mode"];
$amount_array = $req['amount']; // Assuming the amount is an array
$month = date("Y-m");
$valid = date("d", strtotime($today));
$trans_type = "REGULAR";
$today = $req['date'];
$last = date("m-Y");

// Convert the array of ID values to a comma-separated string
$idList = implode(',', array_map('intval', $page));
$amountList = implode(',', array_map('intval', $amount_array));

$checkadmin = "SELECT `id` FROM `admin` WHERE `id`='$admin' AND `web_auth`='$auth'";
$get_checkadmin = mysqli_query($conn, $checkadmin);

if (mysqli_num_rows($get_checkadmin) == 1) {
    $late_pay_charge = 100; // Define the late pay charge as needed

    // Loop through both ID and amount arrays
    for ($i = 0; $i < count($page); $i++) {
        $id = $page[$i];
        $amount = $amount_array[$i];

        // Fetch the user's data for calculating emis
        $sql = "SELECT `emis`, `type` FROM `dhan_user` WHERE `id`='$id'";
        $get = mysqli_query($conn, $sql);
        $row = mysqli_fetch_array($get);
        $emis = $row["emis"] + 1;

        // Calculate GST
        if ($p_mode == "UPI" || $p_mode == "Bank Transfer") {
            $GST = ($amount * 3) / 100;
            $amount = $amount - $GST; // Update the total amount
        }

        // Calculate bonus based on type and amount
        if ($amount >= 1000 && $amount < 2000) {
            $per = 0.6;
        } else if ($amount >= 2000 && $amount < 3000) {
            $per = 0.7;
        } else if ($amount >= 3000 && $amount < 4000) {
            $per = 0.8;
        } else if ($amount >= 4000 && $amount < 5000) {
            $per = 0.9;
        } else if ($amount >= 5000) {
            $per = 1.0;
        }

        $am_base = ($amount * $per) / 100;
        $am = round($am_base * $emis);
        $bonus = $amount + $am;

        // Insert transaction record and update dhan_user
        $sql = "INSERT INTO `dhan_transaction` (`did`, `t_type`, `emi_count`, `aid`, `a_name`, `GST`, `amount`, `bonus`, `total`, `payment_mode`, `date`)
                VALUES ('$id', 'REGULAR', '$emis', '$admin', '$admin_name', '$GST', '$amount', '$am', '$bonus', '$p_mode', '$today');
                UPDATE `dhan_user` SET `emis`='$emis', `last_trans`='$last' WHERE `id`='$id';";

        if (mysqli_multi_query($conn, $sql)) {
            // Handle multiple queries and result sets correctly
            $title = "Manglik Gold";
            $str_guj1 = "Your installment of";
            $str_guj2 = "is paid.";
            $message = $str_guj1 . " ₹" . $bonus . " " . $str_guj2;

            // Advance result sets to avoid "Commands out of sync" error
            while (mysqli_next_result($conn)) {
                if ($result = mysqli_store_result($conn)) {
                    mysqli_free_result($result);
                }
            }
        } else {
            echo json_encode(["message" => $conn->error]);
            exit; // Exit the script if there's an error
        }
    }

    // Send notifications and prepare a final response
    // push_notification_android($token, $title, $message);
    echo json_encode(["message" => "radha"]);
} else {
    echo json_encode(["message" => "Authentication failed"]);
}
?>
