<?php
require ("utils/MiddleWare.php");

//For admin validation
$admin = $req['aid'];
$auth = $req['auth'];
$page = $req['page'];

$checkadmin = "SELECT `id` FROM `admin` WHERE `id`='$admin' AND `web_auth`='$auth'";

$get_checkadmin = (mysqli_query($conn, $checkadmin));

if (mysqli_num_rows($get_checkadmin) == 1) {

    if ($page === "main") {
        $query = "SELECT
    (SELECT SUM(t.regular_installment) FROM transaction t) AS reg_transaction,
    (SELECT SUM(t.regular_installment) FROM transaction t WHERE trans_type = 'YB') AS annual_bonus,
    (SELECT SUM(t.late_pay_charge) FROM transaction t WHERE trans_type = 'LATE') AS late,
    (SELECT SUM(t.late_pay_charge) FROM transaction t WHERE trans_type = 'LATELOAN') AS lateloan,
    (SELECT SUM(t.annual_charge) FROM transaction t WHERE trans_type = 'ANNUAL') AS annual_charge,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE emi_type = 'REINT') AS remove_int,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE emi_type = 'ADD') AS add_int,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE emi_type = 'REMOVE') AS min_int,
    (SELECT SUM(t.emi_interest) FROM transaction t WHERE emi_type != 'REINT') AS interest,
    (SELECT SUM(t.withdraw) FROM transaction t) AS total_withdraw,
    (SELECT SUM(l.remaining) FROM loan l) AS total_loan,
    (SELECT SUM(i.emi_interest) FROM transaction i) AS sum_of_int,
    (SELECT MAX(Id) FROM mandal_user) AS mems";

        $result = mysqli_query($conn, $query);
        $row = mysqli_fetch_assoc($result);

        $trans_one = $row["reg_transaction"] - $row["lateloan"] ;
        $total_withdraw = $row["total_withdraw"];
        
        $int = $row["interest"] - $row["remove_int"] + $row["add_int"] - $row["min_int"]; 
        $grand = $int + $row['annual_charge'] + $row['late'] + $trans_one + $row['annual_bonus'] ;
        $g_total = $grand - $total_withdraw;

        $total_loan = $row["total_loan"];
        $sum_of_mem = $row["mems"];
        $ione = $row["sum_of_int"];

        $intrest = intval($int);
        $total_transaction = intval($trans_one+$ione);
        
        $grand_total = $total_transaction - $total_withdraw;

        $data = array(
            "fund" => $g_total . "",
            "loan" => $total_loan . "",
            "available_fund" => $g_total - $total_loan . "",
            "members" => $sum_of_mem . "",
            "dividend" => $intrest . ""
        );

        echo json_encode(["message" => "radha", "main_result" => $data]);

    } else if ($page === "transaction") {

        $tsql = "SELECT t.*, u.name FROM transaction t
        JOIN mandal_user u ON t.mid = u.id ORDER BY date DESC, id DESC";
        
  

        $tresult = mysqli_query($conn, $tsql);
        if ($tresult->num_rows > 0) {
            while ($trow = $tresult->fetch_assoc()) {
                
                       $tr = $regular_installment = $int = ""; // Initialize variables

        switch ($trow['trans_type']) {
            case "EMI":
                if ($trow['emi_type'] == "FIRST") {
                    $regular_installment = $trow['emi_interest'];
                    $ts = $trow['emi_interest'];
                    $tr = "Interest";
                } elseif ($trow['emi_type'] == "NEW" || $trow['emi_type'] == "OLD") {
                    $regular_installment = $trow['emi'];
                    $ts = $trow['emi'];
                    $int = $trow['emi_interest'];
                    $tr = "EMI";
                } else if ($trow['emi_type'] == "REINT") {
                    $regular_installment = $trow['emi_interest'];
                    $ts = $trow['emi_interest'];
                    $tr = "Return Interest";
                }
                break;

            case "INTEREST":
                if ($trow['emi_type'] == "ADD") {
                    $regular_installment = $trow['emi_interest'];
                    $ts = $trow['emi_interest'];
                    $tr = "Added Interest";
                } elseif ($trow['emi_type'] == "REMOVE") {
                    $ts = $trow['emi_interest'];
                    $regular_installment = $trow['emi_interest'];
                    $tr = "Withdraw Interest";
                } elseif ($trow['emi_type'] == "LATEJOIN") {
                    $regular_installment = $trow['emi_interest'];
                    $ts = $trow['emi_interest'];
                    $tr = "Latejoin Interest";
                }
                break;

            case "LATE":
                $regular_installment = $trow['late_pay_charge'];
                                    $ts = $trow['late_pay_charge'];

                $tr = "Late Payment Charge";
                break;
                
            case "LATEJOIN":
                $int = $trow['emi_interest'];
                $ts = $trow['emi_interest'];
                $tr = "Late Joining Charge";
                break;    

            case "YB":
                $regular_installment = $trow['regular_installment'];
                $ts = $trow['regular_installment'];
                $tr = "Yearly Bonus";
                break;

            case "ANNUAL":
                $regular_installment = $trow['annual_charge'];
                $ts = $trow['annual_charge'];
                $tr = "Annual Charge";
                break;

            case "REGULAR":
                $regular_installment = $trow['regular_installment'];
                $ts = $trow['regular_installment'];
                $tr = "Regular";
                break;

            case "WITHDRAW":
                $regular_installment = $trow['withdraw'];
                $ts = $trow['withdraw'];
                $tr = "Withdraw";
                break;

            default:
                $regular_installment = $trow['regular_installment'];
                $ts = $trow['regular_installment'];
                $tr = $trow['trans_type'];
        }


                $data = array(
                    "id" => $trow['id'],
                    "mid" => $trow['mid'],
                    "name" => $trow['name'],
                    "trans_type" => $tr,
                    "regular_installment" => $regular_installment,
                    "emi_type" => $trow['emi_type'],
                    "emi" => $trow['emi'],
                    "emi_interest" => $int,
                    "late_pay_charge" => $trow['late_pay_charge'],
                    "annual_charge" => $trow['annual_charge'],
                    "payment_mode" => $trow['payment_mode'],
                    "total" => $ts,
                    "date" => $trow['date'],
                    "by" => $trow['a_name'],
                );
                $tdata[] = $data;
                $trans_msg = "radha";
            }
        } else {
            $trans_msg = "invalid";
        }

        echo json_encode(["message" => $trans_msg, "trans_result" => $tdata]);


    } else if ($page === "loan") {
        

        $lsql = "SELECT l.*, u.name FROM loan l
        JOIN mandal_user u ON l.mid = u.id ORDER BY date DESC, id DESC";
        
        $lresult = mysqli_query($conn, $lsql);
        if ($lresult->num_rows > 0) {
            while ($lrow = $lresult->fetch_assoc()) {
                $data = array(
                    "id" => $lrow['id'],
                    "mid" => $lrow['mid'],
                    "name" => $lrow['name'],
                    "amount" => $lrow['loan_amount'],
                    "remaining" => $lrow['remaining'],
                    "interest" => $lrow['interest'],
                    "emi" => $lrow['emi'],
                    "month" => $lrow['month'],
                    "remaining_month" => $lrow['remaining_month'],
                    "date" => $lrow['date'],
                    "by" => $lrow['a_name']
                );
                $ldata[] = $data;
                $loan_msg = "radha";
            }
        } else {
            $loan_msg = "invalid";
        }
        echo json_encode(["message" => $loan_msg, "loan_result" => $ldata]);

    } else {
    echo json_encode(["message" => "invalid"]);
    }

} else {
    echo json_encode(["message" => "invalid"]);
}
?>